uk.gov.hmrc.wco.dec

# MetaData

###
Related Docs: object MetaData | package dec

#### case class MetaData(wcoDataModelVersionCode: Option[String] = None, wcoTypeName: Option[String] = None, responsibleCountryCode: Option[String] = None, responsibleAgencyName: Option[String] = None, agencyAssignedCustomizationCode: Option[String] = None, agencyAssignedCustomizationVersionCode: Option[String] = None, declaration: Declaration = Declaration()) extends JacksonMapper with Product with Serializable

Annotations
  @JsonIgnoreProperties() @JacksonXmlRootElement()

Linear Supertypes
Serializable, Serializable, Product, Equals, JacksonMapper, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. MetaData
2. Serializable
3. Serializable
4. Product
5. Equals
6. JacksonMapper
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new MetaData(wcoDataModelVersionCode: Option[String] = None, wcoTypeName: Option[String] = None, responsibleCountryCode: Option[String] = None, responsibleAgencyName: Option[String] = None, agencyAssignedCustomizationCode: Option[String] = None, agencyAssignedCustomizationVersionCode: Option[String] = None, declaration: Declaration = Declaration())

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val _props: JavaPropsMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

5. #### val _schema: JavaPropsSchema

   Attributes
     protected
   Definition Classes
     JacksonMapper

6. #### val _xml: XmlMapper

   Attributes
     protected
   Definition Classes
     JacksonMapper

7. #### val agencyAssignedCustomizationCode: Option[String]

8. #### val agencyAssignedCustomizationVersionCode: Option[String]

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val declaration: Declaration

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val responsibleAgencyName: Option[String]

20. #### val responsibleCountryCode: Option[String]

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toProperties: Map[String, String]

23. #### def toXml: String

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### val wcoDataModelVersionCode: Option[String]

28. #### val wcoTypeName: Option[String]

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped